summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJosh Matthews <jmatth@nbcs.rutgers.edu>2012-11-20 13:13:04 -0500
committerJosh Matthews <jmatth@nbcs.rutgers.edu>2012-11-20 13:13:04 -0500
commit7be660bf1d0d8ae054b645278ea4e79e71c8beec (patch)
tree58449728e1d54a4e39ba28a9c8157b19569959c2
parentc2ae9e09ca1f33ff1e13e629a0b2e6bdd19f83a9 (diff)
downloadzsh-7be660bf1d0d8ae054b645278ea4e79e71c8beec.tar.gz
zsh-7be660bf1d0d8ae054b645278ea4e79e71c8beec.tar.bz2
zsh-7be660bf1d0d8ae054b645278ea4e79e71c8beec.zip
Adding grt alias to the git plugin.
-rw-r--r--plugins/git/git.plugin.zsh4
1 files changed, 4 insertions, 0 deletions
diff --git a/plugins/git/git.plugin.zsh b/plugins/git/git.plugin.zsh
index d3d3f702a..71388c53a 100644
--- a/plugins/git/git.plugin.zsh
+++ b/plugins/git/git.plugin.zsh
@@ -39,6 +39,10 @@ compdef _git gm=git-merge
alias grh='git reset HEAD'
alias grhh='git reset HEAD --hard'
+# Will cd into the top of the current repository
+# or submodule.
+alias grt='cd $(git rev-parse --show-toplevel || echo ".")'
+
# Git and svn mix
alias git-svn-dcommit-push='git svn dcommit && git push github master:svntrunk'
compdef git-svn-dcommit-push=git